org.apache.datasketches.tuple.strings

## Class ArrayOfStringsSummaryDeserializer

- java.lang.Object
- - org.apache.datasketches.tuple.strings.ArrayOfStringsSummaryDeserializer

All Implemented Interfaces:
  SummaryDeserializer<ArrayOfStringsSummary>

    public class ArrayOfStringsSummaryDeserializer
    extends Object
    implements SummaryDeserializer<ArrayOfStringsSummary>

Author:
  Lee Rhodes

### Constructor Summary

Constructors
Constructor and Description
`ArrayOfStringsSummaryDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeserializeResult<ArrayOfStringsSummary>` `heapifySummary(org.apache.datasketches.memory.Memory mem)` This is to create an instance of a Summary given a serialized representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayOfStringsSummaryDeserializer

    public ArrayOfStringsSummaryDeserializer()

### Method Detail

#### heapifySummary

    public DeserializeResult<ArrayOfStringsSummary> heapifySummary(org.apache.datasketches.memory.Memory mem)

Description copied from interface: `SummaryDeserializer`
This is to create an instance of a Summary given a serialized representation. The user may assume that the start of the given Memory is the correct place to start deserializing. However, the user must be able to determine the number of bytes required to deserialize the summary as the capacity of the given Memory may include multiple such summaries and may be much larger than required for a single summary.

Specified by:
  `heapifySummary` in interface `SummaryDeserializer<ArrayOfStringsSummary>`
Parameters:
  `mem` - Memory object with serialized representation of a Summary
Returns:
  DeserializedResult object, which contains a Summary object and number of bytes read from the Memory